/**
 * Theme: overlay
 */

// Variables
@import "../variables";
@import "./default/overlay_colors";

// Commons styles
@import "./default/styles";

// Light theme (Default)
// Can be forced with data-theme="light"
@import "./default/overlay";

// Light theme (Default)
// Can be forced with data-theme="light"
@import "./default/dark";

// Light theme (Default)
// Can be forced with data-theme="light"
@import "./default/light";

:root {
  @include overlay;
}

// force light theme
[data-theme="light"] {
  @include light;
  color: var(--color);
  background-color: var(--background-color);
}

// force dark theme
[data-theme="dark"] {
  @include dark;
  color: var(--color);
  background-color: var(--background-color);
}
